Subject: Re: boost, boost_unit_test_framework
From: Václav Haisman <[email-masked]>
To: Mattias Brändström <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Oct 2005 13:39:43 +0200

Mattias Brändström wrote:
> Václav Haisman wrote:
> 
>>>
>>> Have the test libraries worked in any previous version of boost for
>>> Cygwin? If so, is there any way that I can install that version instead?
>>
>>
>> I don't know. The current Boost package is the only Boost Cygwin package
>> so far. You could try to compile some older Boost than 1.33.0 from
>> sources.
>>
> 
> Actually, I tried to compile the test libraries of boost 1.33 myself
> like this:
> 
> bjam -sTOOLS=gcc --with-test stage
> 
> And that command produced the test libraries for me. The only difference
> from your libraries was that their extension was .lib instead of .a. How
> did you manage to get .a libraries? Is there any difference between .a
> and .lib in Cygwin?
Are you sure that you are using Cygwin's GCC? Or even any GCC? For me,
Boost produces only .a archives or .dlls.

> 
> When I changed the extension of boost_unit_test_framework to .a and
> compiled and linked my test with -lboost_unit_test_framework I got a
> working binary.
> 
> However, I would like to be able to build my project with a vanilla
> installation of Cygwin. This would make it easier for me to share my
> project with other people since they would only have to install the
> correct versions (preferable the latest) of the Cygwin packages to be
> able to build it.
> 
> In what way is the test libraries broken under Cygwin?
Unless I add --without-test I get this error after which the whole build
process tops:

unknown target type for
<@boost!libs!test!build>libboost_prg_exec_monitor.dll

> 
> :.:: mattias
> 

Václav Haisman